Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.ft
Class FTPos

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.ft.FTExpr
                  org.basex.query.ft.FTPos

    public final class FTPos

extends FTExpr

FTSelect expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Nested Class Summary
`static class` | `FTPos.FTUnit` Units.

Field Summary
`boolean` | `content` Entire content flag.
`boolean` | `different` Different flag.
`Expr[]` | `dist` Distance occurrences.
`FTPos.FTUnit` | `dunit` Distance unit.
`boolean` | `end` End flag.
`FTTokenizer` | `ft` Input token.
`boolean` | `ordered` Ordered flag.
`boolean` | `same` Same flag.
`FTPos.FTUnit` | `sdunit` Same/different unit.
`boolean` | `start` Start flag.
`TokenList` | `term` Term list.
`Expr` | `weight` Weight.
`Expr` | `window` Window.
`FTPos.FTUnit` | `wunit` Window unit.

Fields inherited from class org.basex.query.ft.FTExpr
`expr`

Constructor Summary
`FTPos(FTExpr e)` Constructor.

Method Summary
`FTExpr` | `comp(QueryContext ctx)` Optimizes and compiles the expression.
`void` | `indexAccessible(QueryContext ctx, IndexContext ic)` Checks if an index can be used for query evaluation.
`FTExpr` | `indexEquivalent(QueryContext ctx, IndexContext ic)` Returns an equivalent expression which accesses an index structure.
`FTNodeIter` | `iter(QueryContext ctx)` Evaluates the expression and returns an iterator on the resulting items.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`boolean` | `standard()` Returns true if no position filters are defined.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.ft.FTExpr
`color, remove, returned, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, atomic, checkCtx, checkDbl, checkItr, duplicates, e, ebv, i, removable, sameAs, size, test`

Methods inherited from class org.basex.query.ExprInfo
`info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ordered

    public boolean ordered

  Ordered flag.

### start

    public boolean start

  Start flag.

### end

    public boolean end

  End flag.

### content

    public boolean content

  Entire content flag.

### same

    public boolean same

  Same flag.

### different

    public boolean different

  Different flag.

### dunit

    public FTPos.FTUnit dunit

  Distance unit.

### wunit

    public FTPos.FTUnit wunit

  Window unit.

### sdunit

    public FTPos.FTUnit sdunit

  Same/different unit.

### term

    public TokenList term

  Term list.

### ft

    public FTTokenizer ft

  Input token.

### window

    public Expr window

  Window.

### dist

    public Expr[] dist

  Distance occurrences.

### weight

    public Expr weight

  Weight.

Constructor Detail

### FTPos

    public FTPos(FTExpr e)

  Constructor.

  Parameters:
    `e` - expression

Method Detail

### comp

    public FTExpr comp(QueryContext ctx)
                throws QueryException

  Description copied from class: `Expr`
  Optimizes and compiles the expression.

  Overrides:
    `comp` in class `FTExpr`
  Parameters:
    `ctx` - query context
  Returns:
    optimized Expression
  Throws:
    `QueryException` - evaluation exception

### iter

    public FTNodeIter iter(QueryContext ctx)
                    throws QueryException

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items. If this method is not overwritten, `Expr.atomic(org.basex.query.QueryContext)` must be implemented.

  Specified by:
    `iter` in class `FTExpr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item
  Throws:
    `QueryException` - evaluation exception

### standard

    public boolean standard()

  Returns true if no position filters are defined.

  Returns:
    result of check

### indexAccessible

    public void indexAccessible(QueryContext ctx,
                                IndexContext ic)
                         throws QueryException

  Description copied from class: `Expr`
  Checks if an index can be used for query evaluation.

  Overrides:
    `indexAccessible` in class `Expr`
  Parameters:
    `ctx` - query context
    `ic` - index context
  Throws:
    `QueryException` - Exception

### indexEquivalent

    public FTExpr indexEquivalent(QueryContext ctx,
                                  IndexContext ic)
                           throws QueryException

  Description copied from class: `Expr`
  Returns an equivalent expression which accesses an index structure. Must be called if `Expr.indexAccessible(org.basex.query.QueryContext, org.basex.query.IndexContext)` is implemented for an expression.

  Overrides:
    `indexEquivalent` in class `FTExpr`
  Parameters:
    `ctx` - query context
    `ic` - index context
  Returns:
    Equivalent index-expression or null
  Throws:
    `QueryException` - Exception

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Overrides:
    `plan` in class `FTExpr`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD